Skip to main content

Update campaign budget and duration

PATCH 
/v1/campaigns/:campaignId/budget

Updates campaign budget, duration, or both.

Null or absent properties keep current values. Not available for bonus credit campaigns.

OAuth scopeAccess token type
employer.advertising.campaign

Employer access token.

Request

Path Parameters

    campaignId stringrequired

    Campaign ID.

Body

required

Request body must be a JSON object that defines the campaign updates.

HTTP request headers

Include these HTTP request headers:

  • Content-Type: application/json

  • Accept: application/json

Average daily budget (ADB) campaigns:

For ADB campaign budget updates, include only the supported fields you want to update.

All fields are optional.

  • budgetOnetimeLimit

  • budgetMonthlyLimit

  • startDate

  • fixedEndDate

    budgetOnetimeLimit number

    If set, the campaign uses a single budget for its entire duration.

    Specify either budgetOnetimeLimit or budgetMonthlyLimit, but not both.

    The budget uses the employer account's currency. Sponsored Jobs API parses, stores, and returns it as an exact decimal value, not a floating-point number.

    budgetMonthlyLimit number

    Monthly recurring budget for the campaign.

    The end date is optional for campaigns with a monthly recurring budget. Specify exactly one of budgetOnetimeLimit or budgetMonthlyLimit.

    The budget uses the employer account's currency. Sponsored Jobs API parses, stores, and returns it as an exact decimal value, not a floating-point number.

    budgetFirstMonthBehavior string

    Possible values: [startNowProratedAmount, startNowFullAmount, startNextMonthFullAmount]

    If a campaign has a monthly recurring budget (`budgetMonthlyLimit` is specified) and the start date of the campaign is not the first day of the month, this specifies how the budget for the first month is calculated.

    ValueMeaningExample: Applied budget when the monthly budget is 900 USD and the start date is June 11
    June 11-30July 1-31
    startNowFullAmountThe budget for the first month is the full monthly amount.900 USD900 USD
    startNowProratedAmountThe budget for the first month is proportional to the number of days remaining in the month after the start date.600 USD900 USD
    startNextMonthFullAmountThe campaign won't have any budget and won't sponsor any jobs in the first month.0 USD900 USD
    startDate date

    Start date for sponsoring jobs, in ISO 8601 YYYY-MM-DD format.

    Default: current date.

    The campaign starts at the beginning of that day in US Central Time (US/Central).

    The date must be the current date in CT or later. For example, if startDate is 2026-01-15, the campaign starts on January 15, 2026 at 12:00 AM CT.

    If you omit the date or use the current date, the campaign starts immediately.

    After the campaign becomes active and starts spending, you cannot update startDate.

    To pause a campaign temporarily, set status to PAUSED.

    fixedEndDate date

    Date when the campaign must stop sponsoring jobs, even if budget remains. Use ISO 8601 YYYY-MM-DD format.

    If the campaign uses a one-time budget (budgetOnetimeLimit), specify either fixedEndDate or targetEndDate, but not both.

    If the campaign uses a monthly recurring budget (budgetMonthlyLimit), fixedEndDate is optional. Without it, the campaign continues until you pause or delete it. These are called evergreen campaigns.

    The campaign stops at the start of the specified day in US Central Time (US/Central). fixedEndDate must be at least one day after the current date in CT, or after the campaign startDate if one is set. For example, if fixedEndDate is 2026-06-20, the campaign stops on June 20, 2026 at 12:00 AM CT.

    targetEndDate date

    Date before when the campaign *should* stop sponsoring jobs, though it can continue sponsoring past the specified date if it has not spent its budget yet. Follows the ISO 8601 YYYY-MM-DD format.

    A campaign with a one-time budget (budgetOnetimeLimit) must always have either a fixedEndDate or a targetEndDate, but not both. A campaign with a monthly recurring budget (budgetMonthlyLimit) cannot have a targetEndDate, only a fixedEndDate or no end date.

    The campaign targets the start of the specified day in US Central Time (CT, US/Central). The target end date must be at least one day after the current date in CT, or the startDate of the campaign, if the campaign has one. For example, if the target end date is 2026-06-20, the campaign targets June 20, 2026 at 0:00 AM CT.

Responses

Success

Schema

    meta

    object

    Response-related metadata.

    status int32

    HTTP status code of the response.

    errors

    object[]

    Errors that prevented the request from being processed successfully.

    If there are no errors, this value is null.

  • Array [

  • type string

    Name of the error.

    description string

    Human-readable description of the problem.

  • ]

  • rootLocation string

    Base URL of the Sponsored Jobs API.

    perPage int32

    For endpoints that return paginated results, the effective maximum number of entries returned on one page.

    The value may be smaller than the maximum you requested with the perPage parameter.

    If the endpoint returns a single result or doesn't paginate, the value is null.

    links

    object[]

    Resources related to the requested resource.

  • Array [

  • rel string

    The relationship between the requested resource and the related resource. These values are commonly used:

    • up: The related resource is a collection that contains the requested resource, or an entity that the requested resource is attached to.

    • next: The next page of entries in a paginated result.

    • prev: The previous page of entries in a paginated result.

    However, the value may also be an arbitrary string describing the relationship, such as Campaign Info.

    href string

    Endpoint URL of the related resource.

    Can contain query string parameters.

    To get the complete URL, append the href to rootLocation.

  • ]

  • data

    object

    campaignId string

    Campaign ID of the updated campaign.

Loading...

Was this page helpful?